Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IProtocolFactory``

interface documentation

`class IProtocolFactory(Interface): (source)`

Known implementations: `twisted.internet.protocol.Factory`

View In Hierarchy

Interface for protocol factories.

Method | `buildProtocol` | Called when a connection has been established to addr.
Method | `doStart` | Called every time this is connected to a Port or Connector.
Method | `doStop` | Called every time this is unconnected from a Port or Connector.

def buildProtocol(addr: `IAddress`) -> `Optional[IProtocol]`: (source)

Called when a connection has been established to addr.

If None is returned, the connection is assumed to have been refused, and the Port will close the connection.

Parameters
addr:`IAddress` | The address of the newly-established connection
Returns
`Optional[IProtocol]` | None if the connection was refused, otherwise an object providing `IProtocol`.

def doStart(): (source)

Called every time this is connected to a Port or Connector.

def doStop(): (source)

Called every time this is unconnected from a Port or Connector.